import 'package:example/app/app.dart';
import 'package:flutter/material.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class WearEcgPage extends StatelessWidget {
  const WearEcgPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      /// Body
      body: ListView(
        children: [
          Row(
            children: const [
              /// connection
              ConnectionStateWearEcg(),

              /// Heart beat
              EcgHeartbeatWearEcg(),

              /// Tap
              TapWearEcg(),
            ],
          ),

          Row(
            children: const [
              LeadStateWearEcg(),
              BatteryLevelWearEcg(),
            ],
          ),

          /// Ecg holter view
          const EcgWearECG(),

          const SizedBox(
            height: 300,
            child: BLEList(),
          ),
        ],
      ),

      /// Control panel
      floatingActionButton: const ControlPanelWearEcg(),

      /// Navigation
      bottomNavigationBar: const Navigation(selected: 0),
    );
  }
}
