// ignore_for_file: public_member_api_docs

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

part 'ecg_weart.g.dart';

@CopyWith()
class EcgWearT extends StatelessWidget {
  const EcgWearT({
    super.key,
    this.onLoadingWidget,
    this.height = 50,
    this.color = Colors.black,
    this.measureTime = 5,
    this.pivotColor = Colors.transparent,
    this.pivotStrokeWidth = 0,
    this.backgroundColor = Colors.transparent,
  });

  final double measureTime;
  final Color color;
  final double height;
  final Widget? onLoadingWidget;

  final Color pivotColor;
  final double pivotStrokeWidth;

  final Color backgroundColor;

  @override
  Widget build(BuildContext context) {
    final streams = BLEManager().manageWearCardioT.streams;
    return SizedBox(
      width: MediaQuery.of(context).size.width,
      height: height,
      child: Observer(
        key: UniqueKey(),
        builder: (context) {
          return StreamBuilder(
            stream: streams.bufferedPlotStreamEcg,
            builder: (context, snapshot) {
              if (!snapshot.hasData) {
                return onLoadingWidget ?? const Text('No Stream');
              }
              return ChannelWithPivot(
                ecgSequence: snapshot.data!.l2,
                color: color,
                measureTime: measureTime,
                pivot: snapshot.data!.pivot,
                pivotColor: pivotColor,
                pivotStrokeWidth: pivotStrokeWidth,
                backgroundColor: backgroundColor,
              );
            },
          );
        },
      ),
    );
  }
}
